{% extends 'base.html.twig' %}

{% block title %}Sym.shop - Gestion des produits{% endblock %}

{% block body %}
    <div class="container d-flex justify-content-center">
        <h1 class="mt-4">Gestion des produits</h1>
    </div>
    {# total items count #}
    <div class="count">
        <small>Il y'a {{ products.getTotalItemCount }} produits au total</small>
    </div>
    <table class="table table-hover">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nom</th>
                <th>Prix</th>
                <th>Catégorie</th>
                <th>Quantité</th>
                <th>Description</th>
                <th>Auteur</th>
                <th>Date</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for product in products %}
            <tr class="table-light">
                <td>{{ product.id }}</td>
                <td>{{ product.name }}</td>
                <td>{{ product.price }}</td>
                <td>{{ product.category }}</td>
                <td>{{ product.quantity }}</td>
                <td>{{ product.description }}</td>
                <td>{{ product.author }}</td>
                <td>{{ product.datecreate ? product.datecreate|date('Y/m/d H:i') : '' }}</td>
                <td>
                    <a class="btn btn-primary btn-sm" href="{{ path('crud_product_show', {'id': product.id}) }}">Ouvrir</a>
                    <a class="btn btn-info btn-sm" href="{{ path('crud_product_edit', {'id': product.id}) }}">Editer</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
            {# display navigation #}
        <div class="navigation d-flex justify-content-center mt-4">
            {{ knp_pagination_render(products) }}
            <a class="btn btn-primary mb-4" href="{{ path('crud_product_new') }}" style="margin: 0 0 1rem 2rem">Nouveau produit</a>
            <a class="btn btn-light mb-4" href="{{ path('category_index') }}" style="margin: 0 0 1rem 2rem">categories</a>
        </div>
        
            
{% endblock %}
